use crate::entity::Entity;

pub fn serialize_into<T: Entity>(stmt: &mut sqlite::Statement, value: &T) -> sqlite::Result<()> {
    let mut i = 1;
    for c in &value.values() {
        c.bind_to(stmt, i)?;
        i += 1;
    }

    Ok(())
}
